Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick
Class HRef

    java.lang.Object
      |
      +--com.jxml.quick.HRef

All Implemented Interfaces:
  QMeta

Direct Known Subclasses:
  QHRef

public class HRef
extends Object
implements QMeta

Hyper Reference

Field Summary
`String` | `expects`
`String` | `href`
`String` | `schema`
`String` | `schemaClass`

Constructor Summary
`HRef()`
`HRef(String schema, String href, String expects)`
`HRef(String schema, String href, String expects, String schemaClass)`

Method Summary
`Object` | `getWalkObject(Object parent, Object appObject, QDoc doc)` Returns the object used for data extraction.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### schema

    public String schema

### schemaClass

    public String schemaClass

### href

    public String href

### expects

    public String expects

Constructor Detail

### HRef

    public HRef()

### HRef

    public HRef(String schema,
                String href,
                String expects)

### HRef

    public HRef(String schema,
                String href,
                String expects,
                String schemaClass)

Method Detail

### getWalkObject

    public Object getWalkObject(Object parent,
                                Object appObject,
                                QDoc doc)

  Description copied from interface: `QMeta`
  Returns the object used for data extraction.
  Specified by:
    `getWalkObject` in interface `QMeta`
  Following copied from interface: `com.jxml.quick.QMeta`
  Parameters:
    `appObject` - The application object created from an XML element or attribute.
    `doc` - Holds the object tree containing appObject.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD